aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
Diffstat (limited to 'testing')
-rw-r--r--testing/bsm-simple-themes/APKBUILD66
-rw-r--r--testing/bsm-simple-themes/bsm-simple-panel.patch60
-rw-r--r--testing/cups-filters/APKBUILD22
-rw-r--r--testing/cups-filters/cups-filters-1.0.29-poppler_022.patch58
-rw-r--r--testing/cups-filters/isnan.patch17
-rw-r--r--testing/easy-rsa/APKBUILD42
-rw-r--r--testing/evas_generic_loaders/APKBUILD2
-rw-r--r--testing/faenza-icon-theme/APKBUILD50
-rw-r--r--testing/iptstate/APKBUILD30
-rw-r--r--testing/js/APKBUILD70
-rw-r--r--testing/js/isfinite.patch11
-rw-r--r--testing/js/js185-destdir.patch15
-rw-r--r--testing/libva-intel-driver/APKBUILD11
-rw-r--r--testing/libva-intel-driver/automake.patch11
-rw-r--r--testing/libverto/APKBUILD55
-rw-r--r--testing/pam-pgsql/APKBUILD42
-rw-r--r--testing/poppler-qt4/APKBUILD61
-rw-r--r--testing/spice-gtk/0001-build-fix-for-automake-1.13.patch28
-rw-r--r--testing/spice-gtk/APKBUILD13
-rw-r--r--testing/spice-gtk/usbredir.patch52
-rw-r--r--testing/spl-git-grsec/APKBUILD2
-rw-r--r--testing/spl-grsec/APKBUILD2
-rw-r--r--testing/virtualbox-additions-grsec/APKBUILD2
-rw-r--r--testing/wanpipe-grsec/APKBUILD2
-rw-r--r--testing/xapian-bindings/APKBUILD7
-rw-r--r--testing/xapian-core/APKBUILD4
-rw-r--r--testing/xapian-omega/APKBUILD4
-rw-r--r--testing/zfs-git-grsec/APKBUILD2
-rw-r--r--testing/zfs-grsec/APKBUILD2
29 files changed, 391 insertions, 352 deletions
diff --git a/testing/bsm-simple-themes/APKBUILD b/testing/bsm-simple-themes/APKBUILD
new file mode 100644
index 0000000000..d9bb90ea62
--- /dev/null
+++ b/testing/bsm-simple-themes/APKBUILD
@@ -0,0 +1,66 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=bsm-simple-themes
+pkgver=1.3
+_ver=${pkgver/./}
+pkgrel=1
+pkgdesc="BSM Simple GTK Themes"
+url="http://gnome-look.org/content/show.php/?content=121685"
+arch="noarch"
+license="GPL"
+depends="gtk-engines-clearlooks faenza-icon-theme"
+makedepends=""
+install=""
+subpackages="$pkgname-xfwm4 $pkgname-metacity"
+source="http://gnome-look.org/CONTENT/content-files/121685-BSM%20Simple%20$_ver.tar.gz
+ bsm-simple-panel.patch"
+
+_builddir="$srcdir"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+}
+
+package() {
+ cd "$_builddir"
+ # fix permissions
+ find . -type d -exec chmod 755 '{}' \;
+ find . -type f -exec chmod 644 '{}' \;
+ mkdir -p "$pkgdir"/usr/share/themes
+ for i in *; do
+ [ -L "$i" ] && continue
+ cp -ra "$i" "$pkgdir"/usr/share/themes/ || return 1
+ done
+}
+
+xfwm4() {
+ pkgdesc="BSM Simple GTK Themes - xfwm4"
+ install_if="$pkgname=$pkgver-r$pkgrel xfwm4"
+ cd "$pkgdir"
+ find -name 'xfwm4' -type d | while read dir; do
+ mkdir -p "$subpkgdir/${dir%/*}"
+ mv "$dir" "$subpkgdir/${dir%*}"
+ done
+}
+
+metacity() {
+ pkgdesc="BSM Simple GTK Themes - metacity"
+ install_if="$pkgname=$pkgver-r$pkgrel metacity"
+ cd "$pkgdir"
+ find -name 'metacity-?' -type d | while read dir; do
+ mkdir -p "$subpkgdir/${dir%/*}"
+ mv "$dir" "$subpkgdir/${dir%*}"
+ done
+}
+
+md5sums="26ba7fd532b8811e77a041ce8bacf79f 121685-BSM%20Simple%2013.tar.gz
+397bb9e05136048d64f5c4e629434245 bsm-simple-panel.patch"
diff --git a/testing/bsm-simple-themes/bsm-simple-panel.patch b/testing/bsm-simple-themes/bsm-simple-panel.patch
new file mode 100644
index 0000000000..4376a119a0
--- /dev/null
+++ b/testing/bsm-simple-themes/bsm-simple-panel.patch
@@ -0,0 +1,60 @@
+diff --git a/BSM Simple Dark Menu/gtk-2.0/panel.rc b/BSM Simple Dark Menu/gtk-2.0/panel.rc
+index f0ab2bf..639754f 100755
+--- a/BSM Simple Dark Menu/gtk-2.0/panel.rc
++++ b/BSM Simple Dark Menu/gtk-2.0/panel.rc
+@@ -27,8 +27,8 @@ style "theme-panel"
+
+ style "theme-panel2" = "theme-panel"
+ {
+-xthickness = 0
+-ythickness = 0
++xthickness = 2
++ythickness = 1
+ engine "clearlooks"{
+ radius = 1.1
+ }
+diff --git a/BSM Simple Dark Panel/gtk-2.0/panel.rc b/BSM Simple Dark Panel/gtk-2.0/panel.rc
+index f5dac43..3c16d7a 100755
+--- a/BSM Simple Dark Panel/gtk-2.0/panel.rc
++++ b/BSM Simple Dark Panel/gtk-2.0/panel.rc
+@@ -27,8 +27,8 @@ style "theme-panel"
+
+ style "theme-panel2" = "theme-panel"
+ {
+-xthickness = 0
+-ythickness = 0
++xthickness = 2
++ythickness = 1
+ engine "clearlooks"{
+ radius = 1.1
+ }
+diff --git a/BSM Simple Dark/gtk-2.0/panel.rc b/BSM Simple Dark/gtk-2.0/panel.rc
+index 2f6298e..2cc579e 100755
+--- a/BSM Simple Dark/gtk-2.0/panel.rc
++++ b/BSM Simple Dark/gtk-2.0/panel.rc
+@@ -22,8 +22,8 @@ style "theme-panel"
+
+ style "theme-panel2" = "theme-panel"
+ {
+-xthickness = 0
+-ythickness = 0
++xthickness = 2
++ythickness = 1
+ engine "clearlooks"{
+ radius = 1.1
+ }
+diff --git a/BSM Simple/gtk-2.0/panel.rc b/BSM Simple/gtk-2.0/panel.rc
+index d2e51f3..72fbeaa 100755
+--- a/BSM Simple/gtk-2.0/panel.rc
++++ b/BSM Simple/gtk-2.0/panel.rc
+@@ -14,8 +14,8 @@ style "theme-panel"
+
+ style "theme-panel2" = "theme-panel"
+ {
+-xthickness = 0
+-ythickness = 0
++xthickness = 2
++ythickness = 1
+ engine "clearlooks"{
+ radius = 1.1
+ }
diff --git a/testing/cups-filters/APKBUILD b/testing/cups-filters/APKBUILD
index 8adae040a3..ab3766e091 100644
--- a/testing/cups-filters/APKBUILD
+++ b/testing/cups-filters/APKBUILD
@@ -1,21 +1,20 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=cups-filters
-pkgver=1.0.24
-pkgrel=1
+pkgver=1.0.29
+pkgrel=0
pkgdesc="OpenPrinting CUPS filters and backends"
url="http://www.linuxfoundation.org/collaborate/workgroups/openprinting/pdf_as_standard_print_job_format"
arch="all"
license="GPLv2 and GPLv2+ and GPLv3 and MIT"
depends="poppler-utils"
depends_dev=""
-makedepends="$depends_dev cups-dev jpeg-dev poppler-dev zlib-dev libpng-dev
- tiff-dev lcms-dev freetype-dev ghostscript-dev fontconfig-dev
- qpdf-dev"
+makedepends="$depends_dev cups-dev libjpeg-turbo-dev poppler-dev zlib-dev
+ libpng-dev tiff-dev lcms-dev freetype-dev ghostscript-dev fontconfig-dev
+ qpdf-dev avahi-dev"
install=""
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
-patches="isnan.patch"
source="http://www.openprinting.org/download/cups-filters/cups-filters-$pkgver.tar.xz
- $patches"
+ cups-filters-1.0.29-poppler_022.patch"
_builddir="$srcdir"/cups-filters-$pkgver
prepare() {
@@ -37,6 +36,8 @@ build() {
--localstatedir=/var \
--disable-static \
--with-pdftops=pdftops \
+ --without-rcdir \
+ --without-rclevels \
|| return 1
make || return 1
}
@@ -44,7 +45,8 @@ build() {
package() {
cd "$_builddir"
make -j1 DESTDIR="$pkgdir" install || return 1
- rm -f "$pkgdir"/usr/lib/*.la
+ rm -f "$pkgdir"/usr/lib/*.la \
+
}
libs() {
@@ -53,5 +55,5 @@ libs() {
mv "$pkgdir"/usr/lib/lib*.so.* "$subpkgdir"/usr/lib/
}
-md5sums="4c638c1f1875c984c3d97179e89380c8 cups-filters-1.0.24.tar.xz
-63dc308cb6e650a5c3dc2a3fbdab5057 isnan.patch"
+md5sums="01e2d9abc4ea69521334a0ee2f70d98a cups-filters-1.0.29.tar.xz
+82281b049a5ef4aca479cac104de1af0 cups-filters-1.0.29-poppler_022.patch"
diff --git a/testing/cups-filters/cups-filters-1.0.29-poppler_022.patch b/testing/cups-filters/cups-filters-1.0.29-poppler_022.patch
new file mode 100644
index 0000000000..e75f38fa3c
--- /dev/null
+++ b/testing/cups-filters/cups-filters-1.0.29-poppler_022.patch
@@ -0,0 +1,58 @@
+diff -urbB cups-filters-1.0.29/filter/pdftoopvp/oprs/OPRS.cxx cups-filters-1.0-20130119/filter/pdftoopvp/oprs/OPRS.cxx
+--- cups-filters-1.0.29/filter/pdftoopvp/oprs/OPRS.cxx 2012-09-10 14:52:00.000000000 -0500
++++ cups-filters-1.0-20130119/filter/pdftoopvp/oprs/OPRS.cxx 2013-01-18 18:40:36.000000000 -0600
+@@ -5,6 +5,9 @@
+ //========================================================================
+
+ #include <config.h>
++#ifdef HAVE_CPP_POPPLER_VERSION_H
++#include "cpp/poppler-version.h"
++#endif
+
+ #ifdef USE_GCC_PRAGMAS
+ #pragma implementation
+@@ -235,7 +238,11 @@
+ SplashColorMode srcMode, GBool srcAlpha,
+ int w, int h, SplashCoord *mat) {
+ if (rasterMode) {
++#if POPPLER_VERSION_MAJOR <= 0 && (POPPLER_VERSION_MINOR <= 20 || (POPPLER_VERSION_MINOR == 21 && POPPLER_VERSION_MICRO <= 2))
+ return splash->drawImage(src,srcData,srcMode,srcAlpha,w,h,mat);
++#else
++ return splash->drawImage(src,srcData,srcMode,srcAlpha,w,h,mat,gFalse);
++#endif
+ } else {
+ return opvpSplash->drawImage(src,srcData,srcMode,srcAlpha,w,h,mat);
+ }
+diff -urbB cups-filters-1.0.29/filter/pdftoopvp/OPVPOutputDev.cxx cups-filters-1.0-20130119/filter/pdftoopvp/OPVPOutputDev.cxx
+--- cups-filters-1.0.29/filter/pdftoopvp/OPVPOutputDev.cxx 2012-07-20 03:22:23.000000000 -0500
++++ cups-filters-1.0-20130119/filter/pdftoopvp/OPVPOutputDev.cxx 2013-01-18 18:40:36.000000000 -0600
+@@ -1804,8 +1804,14 @@
+ maskSplash = new Splash(maskBitmap, gFalse);
+ maskColor[0] = 0;
+ maskSplash->clear(maskColor);
++#if POPPLER_VERSION_MAJOR <= 0 && (POPPLER_VERSION_MINOR <= 20 || (POPPLER_VERSION_MINOR == 21 && POPPLER_VERSION_MICRO <= 2))
+ maskSplash->drawImage(&imageSrc, &imgMaskData,
+ splashModeMono8, gFalse, maskWidth, maskHeight, mat);
++#else
++ maskSplash->drawImage(&imageSrc, &imgMaskData,
++ splashModeMono8, gFalse, maskWidth, maskHeight,
++ mat,gFalse);
++#endif
+ delete imgMaskData.imgStr;
+ maskStr->close();
+ gfree(imgMaskData.lookup);
+diff -urbB cups-filters-1.0.29/NEWS cups-filters-1.0-20130119/NEWS
+--- cups-filters-1.0.29/NEWS 2013-01-02 12:23:13.000000000 -0600
++++ cups-filters-1.0-20130119/NEWS 2013-01-18 18:40:36.000000000 -0600
+@@ -1,6 +1,11 @@
+ NEWS - OpenPrinting CUPS Filters v1.0.29 - 2013-01-02
+ -----------------------------------------------------
+
++CHANGES IN V1.0.30
++
++ - pdftoopvp: Let it build with Poppler 0.22.x. Thanks to Koji Otani
++ from BBR Inc. (Bug #1089).
++
+ CHANGES IN V1.0.29
+
+ - Fixed ./configure option "--with-rcdir=no". Thanks to Jiri
diff --git a/testing/cups-filters/isnan.patch b/testing/cups-filters/isnan.patch
deleted file mode 100644
index 187201fb98..0000000000
--- a/testing/cups-filters/isnan.patch
+++ /dev/null
@@ -1,17 +0,0 @@
---- ./filter/pdftopdf/pptypes.cc.orig
-+++ ./filter/pdftopdf/pptypes.cc
-@@ -163,10 +163,10 @@
-
- void PageRect::set(const PageRect &rhs) // {{{
- {
-- if (!isnan(rhs.top)) top=rhs.top;
-- if (!isnan(rhs.left)) left=rhs.left;
-- if (!isnan(rhs.right)) right=rhs.right;
-- if (!isnan(rhs.bottom)) bottom=rhs.bottom;
-+ if (!std::isnan(rhs.top)) top=rhs.top;
-+ if (!std::isnan(rhs.left)) left=rhs.left;
-+ if (!std::isnan(rhs.right)) right=rhs.right;
-+ if (!std::isnan(rhs.bottom)) bottom=rhs.bottom;
- }
- // }}}
-
diff --git a/testing/easy-rsa/APKBUILD b/testing/easy-rsa/APKBUILD
new file mode 100644
index 0000000000..e26d120fc9
--- /dev/null
+++ b/testing/easy-rsa/APKBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Natanael Copa
+pkgname=easy-rsa
+pkgver=2.2.0
+pkgrel=0
+pkgdesc="Simple shell based CA utility"
+url="https://github.com/OpenVPN/easy-rsa"
+arch="noarch"
+license="GPLv2"
+depends="openssl"
+depends_dev=""
+makedepends="$depends_dev autoconf automake"
+install=""
+subpackages="$pkgname-doc"
+source="saveas-https://github.com/OpenVPN/easy-rsa/archive/v$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/easy-rsa-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ aclocal && autoconf && automake --add-missing
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr/share/easy-rsa
+ make install DESTDIR="$pkgdir"
+}
+
+md5sums="bb0478283f7f786a594a469257b85b71 easy-rsa-2.2.0.tar.gz"
+sha256sums="132363669dd61f3057761261d7196b6918adcf467e683d8a9dd1acec8a5f04f7 easy-rsa-2.2.0.tar.gz"
+sha512sums="6017e75a8beab9f9b042fb7de7ea4cbb728b55c3167cfc40d5b811c122732c75df34f22b4fd7a6bc2c5cca2124ca35dcc3e58d86cf462fc13fac9c22084eec39 easy-rsa-2.2.0.tar.gz"
diff --git a/testing/evas_generic_loaders/APKBUILD b/testing/evas_generic_loaders/APKBUILD
index 9d0a44422d..f88fde1179 100644
--- a/testing/evas_generic_loaders/APKBUILD
+++ b/testing/evas_generic_loaders/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=evas_generic_loaders
pkgver=1.7.4
-pkgrel=0
+pkgrel=1
pkgdesc="Extra loaders for GPL loaders and unstable libraries"
url="http://trac.enlightenment.org/e/wiki/Evas_Generic_Loaders"
arch="all"
diff --git a/testing/faenza-icon-theme/APKBUILD b/testing/faenza-icon-theme/APKBUILD
deleted file mode 100644
index 7a17bdc8af..0000000000
--- a/testing/faenza-icon-theme/APKBUILD
+++ /dev/null
@@ -1,50 +0,0 @@
-# Contributor: Carlo Landmeter <clandmeter@gmail.com>
-# Maintainer:
-
-pkgname=faenza-icon-theme
-pkgver=1.2
-pkgrel=0
-pkgdesc="Icon theme designed for Equinox GTK theme"
-url="http://gnome-look.org/content/show.php/Faenza?content=128143"
-license="GPL3"
-arch="noarch"
-depends=""
-makedepends="$depends_dev"
-install=""
-subpackages=""
-_themes="Faenza Faenza-Ambiance Faenza-Dark Faenza-Darker Faenza-Darkest Faenza-Radiance"
-source="http://ppa.launchpad.net/tiheum/equinox/ubuntu/pool/main/f/${pkgname}/${pkgname}_${pkgver}.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-
-package() {
- cd "$_builddir"
- mkdir -p "${pkgdir}"/usr/share/icons
- local theme
- for theme in $_themes; do
- cp -rf $theme "${pkgdir}"/usr/share/icons/
- done;
- # set the Linux Dristributor and start menu logo
- for theme in Faenza Faenza-Dark; do
- for size in 22 24 32 48 64 96; do
- cd "${pkgdir}"/usr/share/icons/${theme}/places/${size}/
- ln -sf distributor-logo.png distributor-logo-alpinelinux.png
- ln -sf start-here.png start-here-alpinelinux.png
- done;
- cd "${pkgdir}"/usr/share/icons/${theme}/places/scalable/
- ln -sf distributor-logo.svg distributor-logo-alpinelinux.svg
- ln -sf start-here.svg start-here-alpinelinux.svg
- ln -sf start-here.svg start-here-alpinelinux-symbolic.svg start-here-synbolic.svg
- done;
-}
-md5sums="eae3e09a92c4dfd2749b3c46355194fb faenza-icon-theme_1.2.tar.gz"
diff --git a/testing/iptstate/APKBUILD b/testing/iptstate/APKBUILD
new file mode 100644
index 0000000000..2b27a8be10
--- /dev/null
+++ b/testing/iptstate/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=iptstate
+pkgver=2.2.5
+pkgrel=0
+pkgdesc="top-like interface to netfilter connection-tracking table"
+url="http://www.phildev.net/iptstate/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="ncurses-dev libnetfilter_conntrack-dev libnfnetlink-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/$pkgname/$pkgname/$pkgver/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ make
+}
+
+package() {
+ cd "$_builddir"
+ install -D -m755 $pkgname "$pkgdir"/usr/sbin/$pkgname
+ install -D -m444 $pkgname.8 "$pkgdir"/usr/share/man/man8/$pkgname.8
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+md5sums="5abe47e473bee256adaf8a48b1141a90 iptstate-2.2.5.tar.bz2"
diff --git a/testing/js/APKBUILD b/testing/js/APKBUILD
deleted file mode 100644
index fb986990f1..0000000000
--- a/testing/js/APKBUILD
+++ /dev/null
@@ -1,70 +0,0 @@
-# Contributor: Natanael Copa <ncopa@alpinelinux.org>
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=js
-pkgver=1.8.5
-_ver=${pkgver//./}-1.0.0
-pkgrel=0
-pkgdesc="JavaScript interpreter and libraries"
-url="http://www.mozilla.org/js/"
-arch="all"
-license="GPLv2+ or LGPLv2+ or MPLv1.1"
-depends=""
-depends_dev="nspr-dev"
-makedepends="$depends_dev zip readline-dev ncurses-dev python perl"
-install=""
-subpackages="$pkgname-dev"
-source="http://ftp.mozilla.org/pub/mozilla.org/js/js$_ver.tar.gz
- js185-destdir.patch
- isfinite.patch"
-
-_builddir="$srcdir"/js-1.8.5/js/src
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
- # create pkg-config file
- cat > libjs.pc << EOF
-prefix=/usr
-exec_prefix=/usr
-libdir=/usr/lib
-includedir=/usr/include
-
-Name: libjs
-Description: JS library
-Requires: nspr >= 4.7
-Version: $pkgver
-Libs: -L\${libdir} -ljs
-Cflags: -DXP_UNIX=1 -DJS_THREADSAFE=1 -I\${includedir}/js
-EOF
-}
-
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --with-system-nspr \
- --enable-threadsafe \
- --enable-readline \
- --disable-warnings-as-errors \
- || return 1
- make
-}
-
-package() {
- cd "$_builddir"
- make install DESTDIR="$pkgdir" || return 1
- install -Dm 0644 libjs.pc "$pkgdir"/usr/lib/pkgconfig/
- # compat symlinks
- ln -s libmozjs185.so.1.0 "$pkgdir"/usr/lib/libmozjs.so.1
- ln -s libmozjs185.so.1.0 "$pkgdir"/usr/lib/libjs.so.1
- ln -s libmozjs185.so "$pkgdir"/usr/lib/libmozjs.so
- ln -s libmozjs185.so "$pkgdir"/usr/lib/libjs.so
-
-}
-
-md5sums="a4574365938222adca0a6bd33329cb32 js185-1.0.0.tar.gz
-ca5cd660341767b60c09701f8dd6bf38 js185-destdir.patch
-8f5db1b780888900c7fa8caec9c37275 isfinite.patch"
diff --git a/testing/js/isfinite.patch b/testing/js/isfinite.patch
deleted file mode 100644
index e0f09f3898..0000000000
--- a/testing/js/isfinite.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./jsnum.h.orig
-+++ ./jsnum.h
-@@ -101,7 +101,7 @@
- #ifdef WIN32
- return _finite(d);
- #else
-- return finite(d);
-+ return isfinite(d);
- #endif
- }
-
diff --git a/testing/js/js185-destdir.patch b/testing/js/js185-destdir.patch
deleted file mode 100644
index e648e3c41b..0000000000
--- a/testing/js/js185-destdir.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-#https://bugzilla.mozilla.org/show_bug.cgi?id=628723
-
---- ./Makefile.in.old 2011-04-10 04:21:19.918608008 -0700
-+++ ./Makefile.in 2011-04-10 04:21:58.088607992 -0700
-@@ -888,8 +888,8 @@
- ifeq (,$(HOST_BIN_SUFFIX))
- mv -f $(SHLIB_ANY_VER) $(SHLIB_EXACT_VER)
- @[ ! -h $(SHLIB_ABI_VER) ] || rm -f $(SHLIB_ABI_VER)
-- ln -s $(SHLIB_EXACT_VER) $(SHLIB_ABI_VER)
-- ln -s $(SHLIB_ABI_VER) $(SHLIB_ANY_VER)
-+ ln -s $(notdir $(SHLIB_EXACT_VER)) $(SHLIB_ABI_VER)
-+ ln -s $(notdir $(SHLIB_ABI_VER)) $(SHLIB_ANY_VER)
- endif
- endif
- ifneq (,$(IMPORT_LIBRARY))
diff --git a/testing/libva-intel-driver/APKBUILD b/testing/libva-intel-driver/APKBUILD
index 68be5b9d58..922e7263f8 100644
--- a/testing/libva-intel-driver/APKBUILD
+++ b/testing/libva-intel-driver/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libva-intel-driver
pkgver=1.0.19
-pkgrel=0
+pkgrel=1
pkgdesc="VA-API implementation for Intel G45 chipsets and Intel HD Graphics for Intel Core processor family"
url="http://freedesktop.org/wiki/Software/vaapi"
arch="all"
@@ -12,7 +12,9 @@ depends_dev="libdrm-dev libva-dev"
makedepends="$depends_dev autoconf automake m4 libtool"
install=""
subpackages=""
-source="http://www.freedesktop.org/software/vaapi/releases/libva-intel-driver/libva-intel-driver-$pkgver.tar.bz2"
+install_if="libva xf86-video-intel"
+source="http://www.freedesktop.org/software/vaapi/releases/libva-intel-driver/libva-intel-driver-$pkgver.tar.bz2
+ automake.patch"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
@@ -37,4 +39,5 @@ package() {
rm -f "$pkgdir"/usr/lib/*/*.la
}
-md5sums="a4a668c86ef8c9fb3bde087857d74bf6 libva-intel-driver-1.0.19.tar.bz2"
+md5sums="a4a668c86ef8c9fb3bde087857d74bf6 libva-intel-driver-1.0.19.tar.bz2
+9a73efa34ff3eda7771560e3429ae5fd automake.patch"
diff --git a/testing/libva-intel-driver/automake.patch b/testing/libva-intel-driver/automake.patch
new file mode 100644
index 0000000000..cd076bd81a
--- /dev/null
+++ b/testing/libva-intel-driver/automake.patch
@@ -0,0 +1,11 @@
+--- ./configure.ac.orig 2013-02-04 14:08:59.494227977 +0000
++++ ./configure.ac 2013-02-04 14:09:10.617659753 +0000
+@@ -22,7 +22,7 @@
+ AC_CONFIG_SRCDIR([Makefile.am])
+ AM_INIT_AUTOMAKE([1.9 tar-ustar])
+
+-AM_CONFIG_HEADER([src/config.h])
++AC_CONFIG_HEADER([src/config.h])
+
+ INTEL_DRIVER_MAJOR_VERSION=intel_driver_major_version
+ INTEL_DRIVER_MINOR_VERSION=intel_driver_minor_version
diff --git a/testing/libverto/APKBUILD b/testing/libverto/APKBUILD
new file mode 100644
index 0000000000..64dc5dfd85
--- /dev/null
+++ b/testing/libverto/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor:
+# Maintainer:
+pkgname=libverto
+pkgver=0.2.5
+pkgrel=0
+pkgdesc="Main loop abstraction library"
+url="https://fedorahosted.org/libverto/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev glib-dev libevent-dev libev-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-libev $pkgname-libevent $pkgname-glib"
+source="http://fedorahosted.org/releases/l/i/libverto/libverto-$pkgver.tar.gz"
+
+_builddir="$srcdir"/libverto-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --with-libev \
+ --with-libevent \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+_mv_backend() {
+ pkgdesc="$1 driver for libverto"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libverto-$1.so.* "$subpkgdir"/usr/lib/
+}
+
+libev() { _mv_backend libev; }
+libevent() { _mv_backend libevent; }
+glib() { _mv_backend glib; }
+
+md5sums="144fb8f00759ef8ad71c472333847f03 libverto-0.2.5.tar.gz"
+sha256sums="b249067e91a98a5a44ff958d77c2e5a45de697d08dfd22800aa760d752d7a6ce libverto-0.2.5.tar.gz"
+sha512sums="d57a7f86e714d3fbed391984de3356d8a2769f846985769c1be7d881647c1be95a5fc6a82bba1660ef3241aa1a40150b5e005af6f35dc32473facfdea49c556e libverto-0.2.5.tar.gz"
diff --git a/testing/pam-pgsql/APKBUILD b/testing/pam-pgsql/APKBUILD
deleted file mode 100644
index 771d4f1954..0000000000
--- a/testing/pam-pgsql/APKBUILD
+++ /dev/null
@@ -1,42 +0,0 @@
-# Contributor: Natanael Copa <ncopa@alpinelinux.org>
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=pam-pgsql
-pkgver=0.7.3.1
-pkgrel=1
-pkgdesc="PAM module to authenticate using a PostgreSQL database"
-url="http://sourceforge.net/projects/pam-pgsql/"
-arch="all"
-license="GPL"
-depends=""
-depends_dev=""
-makedepends="$depends_dev linux-pam-dev postgresql-dev libgcrypt-dev"
-install=""
-subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/project/pam-pgsql/pam-pgsql/0.7/pam-pgsql-$pkgver.tar.gz"
-
-_builddir="$srcdir"/pam-pgsql-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- || return 1
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
- rm -f "$pkgdir"/usr/lib/*.la "$pkgdir"/usr/lib/security/*.la \
- || return 1
-}
-
-md5sums="16cb40a16ee1f286906a0d5a90254731 pam-pgsql-0.7.3.1.tar.gz"
diff --git a/testing/poppler-qt4/APKBUILD b/testing/poppler-qt4/APKBUILD
deleted file mode 100644
index dd94e411a1..0000000000
--- a/testing/poppler-qt4/APKBUILD
+++ /dev/null
@@ -1,61 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-
-# this aport only includes glib/gtk support in order to break the
-# circular make dependency: gtk <- cups <- poppler <- gtk
-
-_ver=0.20.5
-# get the pkgver from poppler
-if [ -r ../../main/poppler/APKBUILD ]; then
- . ../../main/poppler/APKBUILD
- pkgname=poppler-qt4
- if [ "$_ver" != "$pkgver" ]; then
- die "please set _ver to $pkgver"
- fi
-fi
-
-pkgname=poppler-qt4
-_realname=poppler
-pkgver=$_ver
-pkgrel=0
-pkgdesc="PDF rendering library based on xpdf 3.0"
-url="http://poppler.freedesktop.org/"
-arch="all"
-license="GPL"
-subpackages="$pkgname-dev"
-makedepends="jpeg-dev cairo-dev libxml2-dev fontconfig-dev qt-dev
- poppler-dev lcms-dev"
-depends=
-replaces="poppler-glib"
-depends_dev="$makedepends"
-source="http://poppler.freedesktop.org/poppler-$pkgver.tar.gz"
-
-prepare() {
- return 0
-}
-
-build() {
- cd "$srcdir"/$_realname-$pkgver
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --disable-static \
- --disable-poppler-glib \
- --enable-cairo-output \
- --enable-xpdf-headers \
- --enable-libjpeg \
- --enable-zlib \
- --enable-poppler-qt4 \
- --disable-utils \
- || return 1
- make || return 1
-}
-
-package() {
- cd "$srcdir"/$_realname-$pkgver
- install -D -m644 poppler-qt4.pc "$pkgdir"/usr/lib/pkgconfig/poppler-qt4.pc
- cd qt4
- make DESTDIR="$pkgdir" install || return 1
- rm "$pkgdir"/usr/lib/*.la || return 1
-}
-
-md5sums="8a80ae83eb7a327b031808d09ee1d54d poppler-0.20.5.tar.gz"
diff --git a/testing/spice-gtk/0001-build-fix-for-automake-1.13.patch b/testing/spice-gtk/0001-build-fix-for-automake-1.13.patch
new file mode 100644
index 0000000000..e3c3e02f96
--- /dev/null
+++ b/testing/spice-gtk/0001-build-fix-for-automake-1.13.patch
@@ -0,0 +1,28 @@
+From 54fb45d0c744edda68a5f4f0ea31ba059023d973 Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Mon, 4 Feb 2013 13:45:55 +0100
+Subject: [PATCH] build: fix for automake-1.13
+
+Use AC_CONFIG_HEADER instead of deprecated AM_CONFIG_HEADER.
+
+Signed-off-by: Natanael Copa <ncopa@alpinelinux.org>
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index e8a4ddd..2a5c72c 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -4,7 +4,7 @@ AC_INIT([spice-gtk], [m4_esyscmd(build-aux/git-version-gen .tarball-version)],
+ [spice-devel@lists.freedesktop.org])
+
+ AC_CONFIG_MACRO_DIR([m4])
+-AM_CONFIG_HEADER([config.h])
++AC_CONFIG_HEADER([config.h])
+ AC_CONFIG_AUX_DIR([build-aux])
+
+ AM_INIT_AUTOMAKE([foreign dist-bzip2 -Wall -Werror])
+--
+1.8.1.2
+
diff --git a/testing/spice-gtk/APKBUILD b/testing/spice-gtk/APKBUILD
index 123129c439..585f16ef37 100644
--- a/testing/spice-gtk/APKBUILD
+++ b/testing/spice-gtk/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=spice-gtk
-pkgver=0.14
-pkgrel=1
+pkgver=0.16
+pkgrel=0
pkgdesc="A GTK+ widget for SPICE clients"
url="http://spice-space.org/page/Spice-Gtk"
arch="all"
@@ -20,7 +20,7 @@ subpackages="$pkgname-dev $pkgname-doc $pkgname-lang $pkgname-tools
spice-glib:glib py-$pkgname:py"
source="http://www.spice-space.org/download/gtk/spice-gtk-$pkgver.tar.bz2
- usbredir.patch
+ 0001-build-fix-for-automake-1.13.patch
codegendir.patch"
_builddir="$srcdir"/spice-gtk-$pkgver
@@ -32,7 +32,8 @@ prepare() {
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
- autoreconf
+ libtoolize --force && aclocal -I m4 && autoconf \
+ && automake --add-missing || return 1
}
build() {
@@ -80,6 +81,6 @@ py() {
mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
}
-md5sums="c105e3b7f9c9eb293b0d6a8d35f6a5fd spice-gtk-0.14.tar.bz2
-2f674bfdc70df92df33c8b3ba5e9c0bc usbredir.patch
+md5sums="1b61697d643f1acc0e2950834dfa78f4 spice-gtk-0.16.tar.bz2
+72970a1cd51f4a42332e38981fd70ccb 0001-build-fix-for-automake-1.13.patch
e267f9505d0be143a308fb3b574fd153 codegendir.patch"
diff --git a/testing/spice-gtk/usbredir.patch b/testing/spice-gtk/usbredir.patch
deleted file mode 100644
index 3e926e233e..0000000000
--- a/testing/spice-gtk/usbredir.patch
+++ /dev/null
@@ -1,52 +0,0 @@
-From 6d1505386982aee3622afc1d25f1989965832a55 Mon Sep 17 00:00:00 2001
-From: Hans de Goede <hdegoede@redhat.com>
-Date: Tue, 25 Sep 2012 10:59:13 +0000
-Subject: Deal with libusbredirparser.pc rename to libusbredirparser-0.5.pc
-
-The usbredir 0.5 release introduced the new API for 64 bit packet ids, but
-it kept the libusbredirparser.pc name as is, meaning that older versions of
-qemu will still have their pkg-config check for usbredirparser fulfilled,
-and build with the usb-redir device. Due to the API change there will be
-some compiler warnings, but the build will succeed, however the usb-redir
-device will be broken on 32 bit machines.
-
-To solve this, the usbredir-0.5.2 release renames the libusbredirparser.pc
-file to libusbredirparser-0.5.pc, so that it will no longer fulfill the
-pkg-config check of the qemu-1.2 and older releases, stopping the (silent)
-breakage.
-
-spice-gtk does not use the changed parts of the API, but does
-use libusbredirparser for the usbredirfilter* functions. This patch adapts
-spice-gtk's configure to accept both the libusbredirparser-0.5 and the
-libusbredirparser pkg-config names.
-
-Signed-off-by: Hans de Goede <hdegoede@redhat.com>
----
-diff --git a/configure.ac b/configure.ac
-index c7367cc..7c59575 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -349,10 +349,17 @@ AC_ARG_ENABLE([usbredir],
- if test "x$enable_usbredir" = "xno"; then
- have_usbredir="no"
- else
-- PKG_CHECK_MODULES([USBREDIR],
-- [libusb-1.0 >= 1.0.9 libusbredirhost >= 0.4.2 libusbredirparser >= 0.4],
-- [have_usbredir=yes],
-- [have_usbredir=no])
-+ if ${PKG_CONFIG} libusbredirparser-0.5; then
-+ PKG_CHECK_MODULES([USBREDIR],
-+ [libusb-1.0 >= 1.0.9 libusbredirhost libusbredirparser-0.5],
-+ [have_usbredir=yes],
-+ [have_usbredir=no])
-+ else
-+ PKG_CHECK_MODULES([USBREDIR],
-+ [libusb-1.0 >= 1.0.9 libusbredirhost >= 0.4.2 libusbredirparser >= 0.4],
-+ [have_usbredir=yes],
-+ [have_usbredir=no])
-+ fi
- if test "x$have_usbredir" = "xno" && test "x$enable_usbredir" = "xyes"; then
- AC_MSG_ERROR([usbredir support explicitly requested, but some required packages are not available])
- fi
---
-cgit v0.9.0.2-2-gbebe
diff --git a/testing/spl-git-grsec/APKBUILD b/testing/spl-git-grsec/APKBUILD
index 18df224fec..05db325229 100644
--- a/testing/spl-git-grsec/APKBUILD
+++ b/testing/spl-git-grsec/APKBUILD
@@ -6,7 +6,7 @@ _name=$_realname-$_flavor
_kpkg=linux-$_flavor
_kver=3.6.11
-_kpkgrel=8
+_kpkgrel=13
_mypkgrel=0
_date=20121116
diff --git a/testing/spl-grsec/APKBUILD b/testing/spl-grsec/APKBUILD
index 2ea495374a..a21bccf853 100644
--- a/testing/spl-grsec/APKBUILD
+++ b/testing/spl-grsec/APKBUILD
@@ -6,7 +6,7 @@ _name=$_realname-$_flavor
_kpkg=linux-$_flavor
_kver=3.6.11
-_kpkgrel=8
+_kpkgrel=13
_realver=0.6.0-rc13
_mypkgrel=0
diff --git a/testing/virtualbox-additions-grsec/APKBUILD b/testing/virtualbox-additions-grsec/APKBUILD
index 461df891d3..b7461634c4 100644
--- a/testing/virtualbox-additions-grsec/APKBUILD
+++ b/testing/virtualbox-additions-grsec/APKBUILD
@@ -3,7 +3,7 @@
_flavor=grsec
_kpkg=linux-$_flavor
_kver=3.6.11
-_kpkgrel=8
+_kpkgrel=13
# when chaning _ver we *must* bump _mypkgrel
_ver=4.1.20
diff --git a/testing/wanpipe-grsec/APKBUILD b/testing/wanpipe-grsec/APKBUILD
index 234eec60de..1e6ef9fc39 100644
--- a/testing/wanpipe-grsec/APKBUILD
+++ b/testing/wanpipe-grsec/APKBUILD
@@ -5,7 +5,7 @@ _name=$_realname-$_flavor
_kpkg=linux-$_flavor
_kver=3.6.11
-_kpkgrel=8
+_kpkgrel=13
# source the kernel version
if [ -f ../../main/linux-$_flavor/APKBUILD ]; then
diff --git a/testing/xapian-bindings/APKBUILD b/testing/xapian-bindings/APKBUILD
index fbf416f519..06a03e5bb9 100644
--- a/testing/xapian-bindings/APKBUILD
+++ b/testing/xapian-bindings/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Francesco Colista <francesco.colista@gmail.com>
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=xapian-bindings
-pkgver=1.2.12
+pkgver=1.2.13
pkgrel=1
pkgdesc="Binding libraries for xapian"
url="http://www.xapian.org"
@@ -27,6 +27,7 @@ prepare() {
done
aclocal && autoconf || return 1
libtoolize || return 1
+ autoreconf -fvi || return 1
}
build() {
@@ -44,7 +45,7 @@ build() {
export RUBY_LIB=/usr/lib/site_ruby
export RUBY_LIB_ARCH=/usr/lib/site_ruby
export TCL=/usr/bin/tcl
- export TCL_LIB=/usr/lib/xapian-bindings1.2.12
+ export TCL_LIB=/usr/lib/xapian-bindings$pkgver
sh ./configure --prefix=/usr \
--with-perl \
--with-lua \
@@ -111,4 +112,4 @@ tcl() {
-md5sums="9331d7885a68470184ba3d3e8c2b57d5 xapian-bindings-1.2.12.tar.gz"
+md5sums="e05f8d64d3b24a0c9140836137ff1c54 xapian-bindings-1.2.13.tar.gz"
diff --git a/testing/xapian-core/APKBUILD b/testing/xapian-core/APKBUILD
index 910cb52002..6edbec8905 100644
--- a/testing/xapian-core/APKBUILD
+++ b/testing/xapian-core/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Francesco Colista <francesco.colista@gmail.com>
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=xapian-core
-pkgver=1.2.12
+pkgver=1.2.13
pkgrel=0
pkgdesc="Open source search engine library"
url="http://www.xapian.org/"
@@ -36,4 +36,4 @@ package() {
rm -f "$pkgdir"/usr/lib/*.la
}
-md5sums="faf33a3945edbe4c848627750856cbeb xapian-core-1.2.12.tar.gz"
+md5sums="d6e15fff5ecae1c03171d64c45ef9685 xapian-core-1.2.13.tar.gz"
diff --git a/testing/xapian-omega/APKBUILD b/testing/xapian-omega/APKBUILD
index e766965d0c..445107615d 100644
--- a/testing/xapian-omega/APKBUILD
+++ b/testing/xapian-omega/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Francesco Colista <francesco.colista@gmail.com>
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=xapian-omega
-pkgver=1.2.12
+pkgver=1.2.13
pkgrel=1
pkgdesc="Indexers and CGI search frontend for Xapian"
url="http://www.xapian.org/"
@@ -41,4 +41,4 @@ package() {
done
}
-md5sums="7eed3c1e9e6acb703d6587ed9a038265 xapian-omega-1.2.12.tar.gz"
+md5sums="7a6985a7b9b1b3f4346cc0a15856faba xapian-omega-1.2.13.tar.gz"
diff --git a/testing/zfs-git-grsec/APKBUILD b/testing/zfs-git-grsec/APKBUILD
index 508a43c5ff..5ada755d6a 100644
--- a/testing/zfs-git-grsec/APKBUILD
+++ b/testing/zfs-git-grsec/APKBUILD
@@ -7,7 +7,7 @@ _name=$_realname-$_flavor
_kpkg=linux-$_flavor
_kver=3.6.11
-_kpkgrel=8
+_kpkgrel=13
_mypkgrel=0
_date=20121116
diff --git a/testing/zfs-grsec/APKBUILD b/testing/zfs-grsec/APKBUILD
index 164abdef91..3587898867 100644
--- a/testing/zfs-grsec/APKBUILD
+++ b/testing/zfs-grsec/APKBUILD
@@ -7,7 +7,7 @@ _name=$_realname-$_flavor
_kpkg=linux-$_flavor
_kver=3.6.11
-_kpkgrel=8
+_kpkgrel=13
_realver=0.6.0-rc13
_mypkgrel=0